using BS.Shared;

namespace BeWo.Data.Entities
{
    public class AssessmentSheetValue : BeWoEntityBase
    {
        public static string PropertyName_Color = "Color";

        public static string PropertyName_Description = "Description";

        public static string PropertyName_Position = "Position";

        public static string PropertyName_ShortcutKey = "ShortcutKey";

        public static string PropertyName_Sign = "Sign";

        private string _Color;

        private string _Description;

        private int _Position;

        private string _ShortcutKey;

        private string _Sign;

        public AssessmentSheetValue()
        {
            this._Tid = TableID.AssessmentSheetValue;
        }

        public virtual string Color
        {
            get
            {
                return this._Color;
            }

            set
            {
                if (this.AreDifferent(this._Color, value))
                {
                    this._Color = value;
                }
            }
        }

        public virtual string Description
        {
            get
            {
                return this._Description;
            }

            set
            {
                if (this.AreDifferent(this._Description, value))
                {
                    this._Description = value;
                }
            }
        }

        public virtual int Position
        {
            get
            {
                return this._Position;
            }

            set
            {
                if (this.AreDifferent(this._Position, value))
                {
                    this._Position = value;
                }
            }
        }

        public virtual string ShortcutKey
        {
            get
            {
                return this._ShortcutKey;
            }

            set
            {
                if (this.AreDifferent(this._ShortcutKey, value))
                {
                    this._ShortcutKey = value;
                }
            }
        }

        public virtual string Sign
        {
            get
            {
                return this._Sign;
            }

            set
            {
                if (this.AreDifferent(this._Sign, value))
                {
                    this._Sign = value;
                }
            }
        }
    }
}